Package org.zkoss.zk.ui.metainfo

## Class XmlTreeBuilder

- java.lang.Object
- - org.zkoss.zk.ui.metainfo.XmlTreeBuilder

- All Implemented Interfaces:
    `TreeBuilder`

      public class XmlTreeBuilder
      extends java.lang.Object
      implements TreeBuilder

  A tree builder for parsing XML format
  Since:
    8.0.0
  Author:
    jumperchen

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XmlTreeBuilder()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Document` | `parse​(java.io.File file)` | Parse the content of a file to a `Document`
    `Document` | `parse​(java.io.Reader reader)` | Parse the content from a Reader to a `Document`
    `Document` | `parse​(java.net.URL url)` | Parse the content from a URL to a `Document`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlTreeBuilder

          public XmlTreeBuilder()

  - ### Method Detail

    - #### parse

          public Document parse​(java.io.File file)
                         throws java.lang.Exception

      Description copied from interface: `TreeBuilder`
      Parse the content of a file to a `Document`
      Specified by:
        `parse` in interface `TreeBuilder`
      Throws:
        `java.lang.Exception`

    - #### parse

          public Document parse​(java.net.URL url)
                         throws java.lang.Exception

      Description copied from interface: `TreeBuilder`
      Parse the content from a URL to a `Document`
      Specified by:
        `parse` in interface `TreeBuilder`
      Throws:
        `java.lang.Exception`

    - #### parse

          public Document parse​(java.io.Reader reader)
                         throws java.lang.Exception

      Description copied from interface: `TreeBuilder`
      Parse the content from a Reader to a `Document`
      Specified by:
        `parse` in interface `TreeBuilder`
      Throws:
        `java.lang.Exception`